#ifndef KRESLENI_H
#define KRESLENI_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class kresleni;
}
QT_END_NAMESPACE

enum PAINT_TOOL {
    TOOL_IMAGE,
    TOOL_BRUSH,
    TOOL_DRAW,
    TOOL_COLOR,
    TOOL_EMPTY
};

class kresleni : public QMainWindow
{
    Q_OBJECT

    enum PAINT_TOOL paintTool = TOOL_DRAW;
    QColor lastColor = Qt::white;
    Qt::PenStyle lineStyle = Qt::DotLine;
    QString font = "Times New Roman";

    void paintBrush(void);
    void paintDraw(void);

    void paintEvent(QPaintEvent *event);
public:
    kresleni(QWidget *parent = nullptr);
    ~kresleni();

private slots:

    void on_rbStyleDot_toggled(bool checked);

    void on_rbStyleSolid_toggled(bool checked);

    void on_rbStyleDash_toggled(bool checked);

    void on_rbFontArial_toggled(bool checked);

    void on_rbFontComics_toggled(bool checked);

    void on_rbFontTimes_toggled(bool checked);

private:
    Ui::kresleni *ui;
};
#endif // KRESLENI_H
